import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //批量改证书编号
    appsystemsubscribe(data) {
        return request({
            url: '/system/subscribe',
            method: 'post',
            data
        })
    },
    //批量取消预约，批量选考试登记状态,批量修改预约状态，批量前培账号开通
    editsystemsubscribe(data) {
        return request({
            url: '/system/subscribe/edit',
            method: 'post',
            data
        })
    },
    //批量选考试登记状态
    editMoresystemsubscribe(data) {
        return request({
            url: '/system/subscribe/editMore',
            method: 'post',
            data
        })
    },
    //预约考试身份证导入新增模板
    editsystemimportIdsData(data) {
        return request({
            url: '/system/subscribe/importIdsData',
            method: 'post',
            data
        })
    },
    //导入修改预约考试模板
    editsystemimportUpdateData(data) {
        return request({
            url: '/system/subscribe/importUpdateData',
            method: 'post',
            data
        })
    },
    //查询详细商品考试次数，前培次数
    inquiresystemsubscribeUserExam(data) {
        return request({
            url: '/system/subscribe/UserExam',
            method: 'get',
            params: data
        })
    },
    //查询报考数据列表
    inquiresystemsubscribelist(data) {
        return request({
            url: '/system/subscribe/list',
            method: 'get',
            params: data
        })
    },
    //查询用户下商品的考试次数，前培次数列表
    inquiresystemsubscribelistUserExam(data) {
        return request({
            url: '/system/subscribe/listUserExam',
            method: 'get',
            params: data
        })
    },
    //查询报考数据用户列表
    inquiresystemsubscribelistUser(data) {
        return request({
            url: '/system/subscribe/listUser',
            method: 'get',
            params: data
        })
    },
    //导出新增预约模板
    inquiresystemsubscribeexportNew(data) {
        return request({
            url: '/system/subscribe/exportNew',
            method: 'get',
            params: data
        })
    },
    //导出登记模板
    inquiresystemsubscribeexportRegister(data) {
        return request({
            url: '/system/subscribe/exportRegister',
            method: 'get',
            params: data
        })
    },

    //导入新增预约考试模板
    editsystemsubscribeimportData(data) {
        return request({
            url: '/system/subscribe/importData',
            method: 'post',
            data
        })
    },
    //导入新增预约考培模板
    editsystemsubscribeimportTrainData(data) {
        return request({
            url: '/system/subscribe/importTrainData',
            method: 'post',
            data
        })
    },
    //导出错误数据
    inquiresystemsubscribeexportErrorNew(data) {
        return request({
            url: '/system/subscribe/exportErrorNew',
            method: 'post',
            data
        })
    },
    //导出新增含考培错误数据
    inquiresystemsubscribeexportexportErrorTrain(data) {
        return request({
            url: '/system/subscribe/exportErrorTrain',
            method: 'post',
            data
        })
    },
    //导出前培错误数据
    inquiresystemsubscribeexportexportErrorUpdate(data) {
        return request({
            url: '/system/subscribe/exportErrorUpdate',
            method: 'post',
            data
        })
    },
    //预约考试身份证导入新增模板过滤不存在
    inquiresystemsubscribeimportIdsDataFilter(data) {
        return request({
            url: '/system/subscribe/importIdsDataFilter',
            method: 'post',
            data
        })
    },
    //导入前检查身份证是否存在
    inquiresystemsubscribecheckIdCardData(data) {
        return request({
            url: '/system/subscribe/checkIdCardData',
            method: 'post',
            data
        })
    },
    //导出学员信息表
    inquiresystemsubscribelistUserExport(data) {
        return request({
            url: '/system/subscribe/listUserExport',
            method: 'get',
            params: data
        })
    },
    //导出学员签到表
    inquiresystemsubscribelistSignExport(data) {
        return request({
            url: '/system/subscribe/listSignExport',
            method: 'get',
            params: data
        })
    },
    //导出疫情防控承诺书
    inquiresystemsubscribelistLetterExport(data) {
        return request({
            url: '/system/subscribe/listLetterExport',
            method: 'get',
            params: data
        })
    },
    
}